Solid Edge FrameworkSupport Type Library
AddSymmetricalDiameter Method
Specifies the object from which the distance is to be measured.
Specifies the coordinates of the first object's locate point. This point is used as a proximity point while calculating the key point.
Specifies the coordinates of the first object's locate point. This point is used as a proximity point while calculating the key point.
Specifies the coordinates of the second object's locate point. This point is used as a proximity point while calculating the key point.
Specifies whether the object or a key point of the object is to be considered for measuring. If True, the object is used only to extract the key point; and this key point is used to dimension. For example, when a circle is treated as a key point, the dimension is measured from the center. If it is treated as an object (not as a key point) by setting the Boolean value to False, then the dimension is measured to the tangent point.
Specifies the object up to which the distance is to be measured.
Specifies the coordinates of the first object's locate point. This point is used as a proximity point while calculating the key point.
Specifies the coordinates of the second object's locate point. This point is used as a proximity point while calculating the key point.
Specifies the coordinates of the second object's locate point. This point is used as a proximity point while calculating the key point.
Specifies whether the object or a key point of the object is to be considered for measuring. If the Boolean is set to True, the object is used only to extract the key point; and this key point is used to dimension. . For example, when a circle is treated as a key point, the dimension is measured from the center. If it is treated as an object (not as a key point) by setting the Boolean value to False, then the dimension is measured to the tangent point.
Description
Adds a symmetrical diameter dimension to measure distance between two objects.
Syntax
Visual Basic
Public Function AddSymmetricalDiameter( _
   ByVal Object1 As Object, _
   ByVal x1 As Double, _
   ByVal y1 As Double, _
   ByVal z1 As Double, _
   ByVal keyPoint1 As Boolean, _
   ByVal Object2 As Object, _
   ByVal x2 As Double, _
   ByVal y2 As Double, _
   ByVal z2 As Double, _
   ByVal keyPoint2 As Boolean _
) As Dimension
Parameters
Object1
Specifies the object from which the distance is to be measured.
x1
Specifies the coordinates of the first object's locate point. This point is used as a proximity point while calculating the key point.
y1
Specifies the coordinates of the first object's locate point. This point is used as a proximity point while calculating the key point.
z1
Specifies the coordinates of the second object's locate point. This point is used as a proximity point while calculating the key point.
keyPoint1
Specifies whether the object or a key point of the object is to be considered for measuring. If True, the object is used only to extract the key point; and this key point is used to dimension. For example, when a circle is treated as a key point, the dimension is measured from the center. If it is treated as an object (not as a key point) by setting the Boolean value to False, then the dimension is measured to the tangent point.
Object2
Specifies the object up to which the distance is to be measured.
x2
Specifies the coordinates of the first object's locate point. This point is used as a proximity point while calculating the key point.
y2
Specifies the coordinates of the second object's locate point. This point is used as a proximity point while calculating the key point.
z2
Specifies the coordinates of the second object's locate point. This point is used as a proximity point while calculating the key point.
keyPoint2
Specifies whether the object or a key point of the object is to be considered for measuring. If the Boolean is set to True, the object is used only to extract the key point; and this key point is used to dimension. . For example, when a circle is treated as a key point, the dimension is measured from the center. If it is treated as an object (not as a key point) by setting the Boolean value to False, then the dimension is measured to the tangent point.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objProfile As SolidEdgePart.Profile
    Dim objC1 As SolidEdgeFrameworkSupport.Circle2d
    Dim objC2 As SolidEdgeFrameworkSupport.Circle2d
    Dim objDimns As SolidEdgeFrameworkSupport.Dimensions
    Dim objDim1 As SolidEdgeFrameworkSupport.Dimension
    Dim sDumpStatus As String    ' Used for temporary storage of datadump return string
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Create an empty Profile
    Set objProfile = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:= _
                                                         objDoc.RefPlanes(1))
    ' Create 2 Circle2d objects in the Profile
    Set objC1 = objProfile.Circles2d.AddByCenterRadius(x:=0, y:=0, Radius:=0.01)
    Set objC2 = objProfile.Circles2d.AddByCenterRadius(x:=0.02, y:=0.02, Radius:=0.01)
    ' Create a Dimension object
    Set objDimns = objProfile.Dimensions
    Set objDim1 = objDimns.AddSymmetricalDiameter(Object1:=objC1, x1:=0, y1:=0, _
                                                  z1:=0, keyPoint1:=True, object2:=objC2, x2:=0.02, _
                                                  y2:=0.02, z2:=0, keyPoint2:=True)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objProfile = Nothing
    Set objC1 = Nothing
    Set objC2 = Nothing
    Set objDimns = Nothing
    Set objDim1 = Nothing
End Sub
See Also

Dimensions Collection  | Dimensions Members

Send comments on this topic.